﻿<Application x:Class="TheTrader.WPF.App"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:viewModels="clr-namespace:TheTrader.WPF.ViewModels"
             xmlns:views="clr-namespace:TheTrader.WPF.Views">
    <Application.Resources>
        <ResourceDictionary>
            <ResourceDictionary.MergedDictionaries>
                <ResourceDictionary Source="Styles/Common.xaml" />
                <ResourceDictionary Source="Styles/NavigationBar.xaml" />
            </ResourceDictionary.MergedDictionaries>

            <DataTemplate DataType="{x:Type viewModels:HomeViewModel}">
                <views:HomeView />
            </DataTemplate>
            <DataTemplate DataType="{x:Type viewModels:PortfolioViewModel}">
                <views:PortfolioView />
            </DataTemplate>
            <DataTemplate DataType="{x:Type viewModels:BuyViewModel}">
                <views:BuyView />
            </DataTemplate>
            <DataTemplate DataType="{x:Type viewModels:LoginViewModel}">
                <views:LoginView LoginCommand="{Binding LoginCommand}" />
            </DataTemplate>
        </ResourceDictionary>
    </Application.Resources>
</Application>